> For the complete documentation index, see [llms.txt](https://docs.usemoon.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.usemoon.ai/sdks/kotlin/eosapi.md).

# EosApi

## EosApi

All URIs are relative to *<https://moon-vault-api-git-ew-supabase-migration-moonup.vercel.app>*

| Method                                        | HTTP request                        | Description |
| --------------------------------------------- | ----------------------------------- | ----------- |
| [**createEosAccount**](#createEosAccount)     | **POST** /eos                       |             |
| [**getEosAccount**](#getEosAccount)           | **GET** /eos/{accountName}          |             |
| [**listEosAccounts**](#listEosAccounts)       | **GET** /eos                        |             |
| [**signEosTransaction**](#signEosTransaction) | **POST** /eos/{accountName}/sign-tx |             |

## **createEosAccount**

> AccountAPIResponse createEosAccount(authorization, eosInput)

#### Example

```kotlin
// Import classes:
//import org.usemoonai.moonsdk.infrastructure.*
//import org.usemoonai.moonsdk.models.*

val apiInstance = EosApi()
val authorization : kotlin.String = authorization_example // kotlin.String | 
val eosInput : EosInput =  // EosInput | 
try {
    val result : AccountAPIResponse = apiInstance.createEosAccount(authorization, eosInput)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling EosApi#createEosAccount")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling EosApi#createEosAccount")
    e.printStackTrace()
}
```

#### Parameters

| Name              | Type                                     | Description | Notes |
| ----------------- | ---------------------------------------- | ----------- | ----- |
| **authorization** | **kotlin.String**                        |             |       |
| **eosInput**      | [**EosInput**](/sdks/kotlin/eosinput.md) |             |       |

#### Return type

[**AccountAPIResponse**](/sdks/kotlin/accountapiresponse.md)

#### Authorization

Configure ApiKeyAuth: ApiClient.apiKey\["x-api-key"] = "" ApiClient.apiKeyPrefix\["x-api-key"] = "" Configure BearerAuth: ApiClient.apiKey\["Authorization"] = "" ApiClient.apiKeyPrefix\["Authorization"] = ""

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **getEosAccount**

> AccountAPIResponse getEosAccount(authorization, accountName)

#### Example

```kotlin
// Import classes:
//import org.usemoonai.moonsdk.infrastructure.*
//import org.usemoonai.moonsdk.models.*

val apiInstance = EosApi()
val authorization : kotlin.String = authorization_example // kotlin.String | 
val accountName : kotlin.String = accountName_example // kotlin.String | 
try {
    val result : AccountAPIResponse = apiInstance.getEosAccount(authorization, accountName)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling EosApi#getEosAccount")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling EosApi#getEosAccount")
    e.printStackTrace()
}
```

#### Parameters

| Name              | Type              | Description | Notes |
| ----------------- | ----------------- | ----------- | ----- |
| **authorization** | **kotlin.String** |             |       |
| **accountName**   | **kotlin.String** |             |       |

#### Return type

[**AccountAPIResponse**](/sdks/kotlin/accountapiresponse.md)

#### Authorization

Configure ApiKeyAuth: ApiClient.apiKey\["x-api-key"] = "" ApiClient.apiKeyPrefix\["x-api-key"] = "" Configure BearerAuth: ApiClient.apiKey\["Authorization"] = "" ApiClient.apiKeyPrefix\["Authorization"] = ""

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **listEosAccounts**

> AccountAPIResponse listEosAccounts(authorization)

#### Example

```kotlin
// Import classes:
//import org.usemoonai.moonsdk.infrastructure.*
//import org.usemoonai.moonsdk.models.*

val apiInstance = EosApi()
val authorization : kotlin.String = authorization_example // kotlin.String | 
try {
    val result : AccountAPIResponse = apiInstance.listEosAccounts(authorization)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling EosApi#listEosAccounts")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling EosApi#listEosAccounts")
    e.printStackTrace()
}
```

#### Parameters

| Name              | Type              | Description | Notes |
| ----------------- | ----------------- | ----------- | ----- |
| **authorization** | **kotlin.String** |             |       |

#### Return type

[**AccountAPIResponse**](/sdks/kotlin/accountapiresponse.md)

#### Authorization

Configure ApiKeyAuth: ApiClient.apiKey\["x-api-key"] = "" ApiClient.apiKeyPrefix\["x-api-key"] = "" Configure BearerAuth: ApiClient.apiKey\["Authorization"] = "" ApiClient.apiKeyPrefix\["Authorization"] = ""

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **signEosTransaction**

> EosAPIResponse signEosTransaction(authorization, accountName, eosTransactionInput)

#### Example

```kotlin
// Import classes:
//import org.usemoonai.moonsdk.infrastructure.*
//import org.usemoonai.moonsdk.models.*

val apiInstance = EosApi()
val authorization : kotlin.String = authorization_example // kotlin.String | 
val accountName : kotlin.String = accountName_example // kotlin.String | 
val eosTransactionInput : EosTransactionInput =  // EosTransactionInput | 
try {
    val result : EosAPIResponse = apiInstance.signEosTransaction(authorization, accountName, eosTransactionInput)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling EosApi#signEosTransaction")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling EosApi#signEosTransaction")
    e.printStackTrace()
}
```

#### Parameters

| Name                    | Type                                                           | Description | Notes |
| ----------------------- | -------------------------------------------------------------- | ----------- | ----- |
| **authorization**       | **kotlin.String**                                              |             |       |
| **accountName**         | **kotlin.String**                                              |             |       |
| **eosTransactionInput** | [**EosTransactionInput**](/sdks/kotlin/eostransactioninput.md) |             |       |

#### Return type

[**EosAPIResponse**](/sdks/kotlin/eosapiresponse.md)

#### Authorization

Configure ApiKeyAuth: ApiClient.apiKey\["x-api-key"] = "" ApiClient.apiKeyPrefix\["x-api-key"] = "" Configure BearerAuth: ApiClient.apiKey\["Authorization"] = "" ApiClient.apiKeyPrefix\["Authorization"] = ""

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/kotlin/eosapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
